# vim: set ts=4 sw=4 et:
# Copyright (c) 2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        Dirac plugin for OGMRip
Name:           ogmrip-dirac
Version:        0.1
Release:        2.3
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-dirac-%{version}.tar.gz
Source:         ogmrip-dirac-%{version}.tar.bz2
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:  libdvdread-devel
BuildRequires:  libdirac-devel
BuildRequires:  libogmrip-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
Requires:       MPlayer
Requires:       ogmrip
BuildRequires:  MPlayer
BuildRequires:  ogmrip

%description
ogmrip-dirac is a plugin for OGMRip which enables transcoding to dirac.

%lang_package

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
    --enable-static=no
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall \
    video_codecsdir=%{_libdir}/ogmrip/video-plugins

%find_lang %{name}

%__rm %{buildroot}%{_libdir}/ogmrip/video-plugins/*.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/video-plugins
%{_libdir}/ogmrip/video-plugins/libogmrip-dirac.so

%files lang -f %{name}.lang

%changelog
* Mon Oct 19 2009 toni@links2linux.de
- initial package for 0.1
